#!/bin/sh

#_____________________________________________________________________________#
#                                                                             #
#                        Copyright (C) 2018 by                                #
#                    -- TEC-IT Datenverarbeitung GmbH --                      #
#   -- team for engineering and consulting in information technologies --     #
#                                                                             #
#                            All rights reserved.                             #
#_____________________________________________________________________________#
#                                                                             #

#______________________________________________________________________________
#
# Filter printjob file with tbarcode filter and then forward it to the original
# pstopdf cups filter.  
#______________________________________________________________________________
#

#
# if $6 is empty then printjob is read from stdin
# otherwise parameter $6 contains filename of printjob
#

exitvalue=

if test -z $6
then
  # no filename specified
  # => read from stdin

  /usr/local/share/tbarcode11/tbarcode --filter <&0 | pstopdf "$@"
  exitvalue=$?
  
else
  # filename specified
  # => read from file
  
  # make a temporary file for the output of tbarcodefilter
  FILTEREDFILE=`mktemp /tmp/tbarcodefilter.$$.XXXXXX`
  
  /usr/local/share/tbarcode11/tbarcode --filter <$6 >$FILTEREDFILE
  pstopdf "$1" "$2" "$3" "$4" "$5" $FILTEREDFILE
  exitvalue=$?

  # remove FILTEREDFILE file
  rm $FILTEREDFILE
  
fi

exit $exitvalue
